<script setup>
import router from '@/router';
import { RouterLink } from 'vue-router'

const logOut = async () => {
    localStorage.clear()
    await router.push({ name: 'signin' })
}

</script>

<template>
    <nav class="navbar navbar-expand-lg nabar-dark shadow stickey-top" style="background: #0F93B6;">
        <div class="container">
            <router-link :to="{ name: 'dashboard' }" class="navbar-brand text-white">ผู้ดูแลระบบ</router-link>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                            <router-link :to="{ name: 'dashboard' }" class="nav-link active text-white" aria-current="page">หน้าแรก</router-link>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle text-white" href="#" role="button" data-bs-toggle="dropdown"
                                aria-expanded="false">
                                Cat around the world
                            </a>
                            <ul class="dropdown-menu">
                                <li><a class="dropdown-item">Cat around the world</a></li>
                                <li><a class="dropdown-item" href="#">Add cat breed</a></li>
                                <li><a class="dropdown-item" href="#">Edit cat breed</a></li>
                                <li><a class="dropdown-item" href="#">Delete cat breed</a></li>
                                <li>
                                    <hr class="dropdown-divider">
                                </li>
                                <li><a class="dropdown-item" href="https://www.wonderspodcast.com/wonders" target="_blank">Cat Breed Website</a></li>
                            </ul>
                        </li>

                    <li class="nav-item">
                            <a href="#" @click="logOut" class="nav-link text-white">
                                <i class="bi bi-box-arrow-right me-1"></i>Logout
                            </a>
                        </li>

                    <li class="nav-item">
                        <router-link to="" class="nav-link text-white" aria-disabled="true" href="#">Map</router-link>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</template>

<style>
@import url('https://fonts.googleapis.com/css2?family=Sarabun&display=swap');

.navbar {
    font-family: 'Sarabun', sans-serif;
}
</style>
